## sbcl 2.2.3

=== debian/changelog ===
sbcl (2:2.2.3-2maysync1) kinetic; urgency=medium

  * Bootstrap for ppc64le (LP: #1968579).

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 12 Jul 2022 16:30:55 -0300

sbcl (2:2.2.3-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Add support for systemd-binfmt (Closes: #1012354).

  [ Sean Whitton ]
  * Add myself to Uploaders.
  * Drop d/source/local-options for dgit compatibility.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 27 Jun 2022 17:20:48 -0700

sbcl (2:2.2.3-1) unstable; urgency=medium

  * New upstream release.
  * vop-existsp-test.patch: drop patch, applied upstream
  * ignore-test-side-effect.patch: new patch, fixes test failure
  * Add myself to uploaders
  * Add Salsa CI/CD configuration in debian/salsa-ci.yml
  * Add --with-sb-linkable-runtime to armel armhf arm64
  * Fix architecture detection during CI build on Salsa
  * Add sbcl-source to list of autopkgtest deps
  * Fix autopkgtest by setting C_INCLUDE_PATH for sbcl.h
  * Disable failing Salsa CI tests

 -- Kambiz Darabi <darabi@m-creations.net>  Tue, 26 Apr 2022 10:33:33 +0200
