=== debian/changelog ===
sbcl (2:2.2.6-2) unstable; urgency=medium

  * Add take-contrib-blocklist-into-account-for-doc-generation.patch
    (Closes: #1016045).

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Jul 2022 14:09:44 -0700

sbcl (2:2.2.6-1) unstable; urgency=medium

  * New upstream release.
    - Update build-dep zlib -> zstd for upstream change.
  * Drop ignore-test-side-effect.patch.
    Fixed upstream.
  * Add Fix-hide-packages-test-if-configured-with-xref-for-intern.patch.
  * Refresh remaining patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 24 Jul 2022 22:06:26 -0700
