## sbcl 2.2.7

=== debian/changelog ===
sbcl (2:2.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 21 Aug 2022 15:46:32 -0700
