=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sbcl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
+Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Christoph Egger <christoph@debian.org>,
            Sébastien Villemot <sebastien@debian.org>,
@@ -11,12 +10,12 @@
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 12.8~),
 # Arch list to keep in sync with debian/rules
-               clisp [!amd64 !arm64 !armel !armhf !i386 !kfreebsd-amd64 !powerpc !ppc64 !riscv64 !sh4],
+               clisp [!amd64 !arm64 !armel !armhf !i386 !kfreebsd-amd64 !powerpc !ppc64 !ppc64el !riscv64 !sh4],
                ecl [riscv64 sh4],
-               sbcl [amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64],
+               sbcl [amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64 ppc64el],
                sbcl-source,
                texinfo,
-               zlib1g-dev,
+               libzstd-dev,
                texlive-extra-utils,
                texlive,
                graphviz,
