## sbcl 2.2.8

=== debian/changelog ===
sbcl (2:2.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 04 Sep 2022 14:40:04 -0700
