=== debian/changelog ===
sbcl (2:2.2.9-1ubuntu2) lunar; urgency=medium

  * d/rules: Fix typo in the last upload.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 07 Feb 2023 19:54:20 -0500

sbcl (2:2.2.9-1ubuntu1) lunar; urgency=medium

  * d/rules: Disable LTO on arm64 to fix FTBFS. (LP: #2006524)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 07 Feb 2023 19:37:37 -0500

sbcl (2:2.2.9-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release.
  * Drop Cargo-cult-some-linkable-runtime-stuff.patch.
    Included in this release.
  * Refresh remaining patches.

  [ Sébastien Villemot ]
  * Remove myself from Uploaders

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 05 Oct 2022 10:15:23 -0700

sbcl (2:2.2.8-2) unstable; urgency=medium

  * Add Cargo-cult-some-linkable-runtime-stuff.patch.
    This should fix the build on armel, armhf and arm64.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 17 Sep 2022 17:44:25 -0700
