=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: sbcl
-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
            Christoph Egger <christoph@debian.org>,
-           Sébastien Villemot <sebastien@debian.org>,
            Kambiz Darabi <darabi@m-creations.net>,
            Sean Whitton <spwhitton@spwhitton.name>
 Section: lisp
