=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,19 @@
 
 export DH_VERBOSE=1
 
+# Disable LTO on arm64.
+# LP: #2006524
+# Debian bug #1015656
+ifeq (arm64,$(DEB_HOST_ARCH))
+export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
+endif
+
 # Try to build with clisp by default on archs for which sbcl has not yet been bootstrapped
 # (or with ecl if clisp is not available).
 # Those lists must be kept in sync with the Build-Depends field.
 # As soon as a new arch is bootstrapped, the lists should be updated.
 # See https://bugs.debian.org/954031
-ifeq (,$(filter amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64, $(DEB_HOST_ARCH)))
+ifeq (,$(filter amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64 ppc64el, $(DEB_HOST_ARCH)))
 ifneq (,$(filter riscv64 sh4, $(DEB_HOST_ARCH)))
         BOOTSTRAPLISP := /usr/bin/ecl --norc
 else
