## sbcl 2.3.7

=== tools-for-build/Makefile ===
--- 
+++ 
@@ -15,8 +15,9 @@
 LDFLAGS:=$(LDFLAGS)
 LDLIBS:=$(OS_LIBS)
 
-all: grovel-headers determine-endianness where-is-mcontext mmap-rwx
+all: grovel-headers determine-endianness where-is-mcontext mmap-rwx avx2
 
 clean:
-	rm -f *.o grovel-headers determine-endianness where-is-mcontext mmap-rwx
+	rm -f *.o grovel-headers determine-endianness where-is-mcontext mmap-rwx avx2
 	rm -f *.exe
+	rm -fr *.dSYM
