=== debian/changelog ===
sbcl (2:2.3.7-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:57:40 +1100

sbcl (2:2.3.7-2) unstable; urgency=medium

  * Disable genheaders.test.sh under autopkgtest.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 02 Aug 2023 15:09:31 +0100

sbcl (2:2.3.7-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 01 Aug 2023 11:26:51 +0100

sbcl (2:2.3.6-2) unstable; urgency=medium

  * Disable tests/traceroot.impure.lisp on arm64 to fix FTBFS there.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 22 Jul 2023 17:56:30 +0100

sbcl (2:2.3.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 14 Jul 2023 21:04:26 +0100
