## sbcl 2.4.5

=== debian/changelog ===
sbcl (2:2.4.5-1) unstable; urgency=medium

  * New upstream release.
  * Switch to git-debrebase(1) git workflow.
    - Add README.source pointing to dgit-maint-debrebase(7).
    - Remove inactive team members from Uploaders.
      Those still interested in the package should feel free to reinstate
      themselves there, and thereby acknowledge the workflow change.
  * d/rules: Don't install src/runtime/ldb to bin:sbcl-source.
  * Drop disable-tests-traceroot.impure.lisp-on-arm64.patch.
    Equivalent change made upstream.
  * Patch tools-for-build/canonicalize-whitespace.lisp to exclude stage1/.
  * Backport upstream commit dc890089a to fix hide-packages.test.sh.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 31 May 2024 17:53:28 +0100
