=== debian/changelog ===
sbcl (2:2.4.6-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.6.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 22 Jul 2024 12:29:54 +0900
