## sbcl 2.4.7~git20240721.1.7a19681d9

=== contrib/sb-sprof/Makefile ===
SYSTEM=sb-sprof
include ../asdf-module.mk
