=== debian/changelog ===
sbcl (2:2.4.7~git20240721.1.7a19681d9-1) unstable; urgency=medium

  * Update to new upstream snapshot.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 23 Jul 2024 13:27:48 +0900
