## sbcl 2.4.7

=== debian/changelog ===
sbcl (2:2.4.7-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.7.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 06 Aug 2024 11:01:13 +0800
