=== debian/control ===
--- 
+++ 
@@ -1,10 +1,6 @@
 Source: sbcl
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
-Uploaders: Peter Van Eynde <pvaneynd@debian.org>,
-           Christoph Egger <christoph@debian.org>,
-           Kambiz Darabi <darabi@m-creations.net>,
-           Sean Whitton <spwhitton@spwhitton.name>
+Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
+Uploaders: Sean Whitton <spwhitton@spwhitton.name>
 Section: lisp
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
