=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,6 @@
 include /usr/share/dpkg/default.mk
 
 export DH_VERBOSE=1
-
-# Disable LTO on arm64.
-# LP: #2006524
-# Debian bug #1015656
-ifeq (arm64,$(DEB_HOST_ARCH))
-export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
-endif
 
 # Try to build with clisp by default on archs for which sbcl has not yet been bootstrapped
 # (or with ecl if clisp is not available).
@@ -98,7 +91,8 @@
 	rm -f debian/sbcl-source/usr/share/sbcl-source/src/runtime/sbcl \
 		debian/sbcl-source/usr/share/sbcl-source/src/runtime/sbcl.nm \
 		debian/sbcl-source/usr/share/sbcl-source/src/runtime/shrinkwrap-sbcl \
-		debian/sbcl-source/usr/share/sbcl-source/src/runtime/heap-reloc-test
+		debian/sbcl-source/usr/share/sbcl-source/src/runtime/heap-reloc-test \
+		debian/sbcl-source/usr/share/sbcl-source/src/runtime/ldb
 
 execute_before_dh_gencontrol:
 	# Add the FASL version of this release to substvars
