## sbcl 2.4.9+git20241010.1.465757f12

=== debian/changelog ===
sbcl (2:2.4.9+git20241010.1.465757f12-1) unstable; urgency=medium

  * Update to new upstream snapshot 2:2.4.9+git20241010.1.465757f12.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 10 Oct 2024 18:04:22 +0800

sbcl (2:2.4.9-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.9.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 30 Sep 2024 13:31:20 +0800

sbcl (2:2.4.8-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.8.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 26 Sep 2024 12:21:37 +0100

sbcl (2:2.4.7-2) unstable; urgency=medium

  * Enable debug printing in :WASTE-HEAP test.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 08 Aug 2024 09:27:42 +0800
