## sbcl 2.4.11

=== debian/changelog ===
sbcl (2:2.4.11-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.11.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 06 Dec 2024 11:32:00 +0800

sbcl (2:2.4.10-2) unstable; urgency=medium

  [ Bo YU ]
  * Switch riscv64 to bootstrap with clisp (Closes: #1033731).

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 13 Nov 2024 18:57:27 +0800

sbcl (2:2.4.10-1) unstable; urgency=medium

  * Update to new upstream version 2:2.4.10.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 08 Nov 2024 10:40:48 +0800
