=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 12.8~),
 # Arch list to keep in sync with debian/rules
-               clisp [!amd64 !arm64 !armel !armhf !i386 !kfreebsd-amd64 !powerpc !ppc64 !ppc64el !riscv64 !sh4],
-               ecl [riscv64 sh4],
+               clisp [!amd64 !arm64 !armel !armhf !i386 !kfreebsd-amd64 !powerpc !ppc64 !ppc64el !sh4],
+               ecl [sh4],
                sbcl [amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64 ppc64el],
                sbcl-source,
                texinfo,
