## sbcl 2.5.0

=== debian/changelog ===
sbcl (2:2.5.0-1) unstable; urgency=medium

  [ Peter Van Eynde ]
  * New upstream version 2.5.0
  * Refreshed patches
  * Added myself as uploader
  * Updated Standards-Version, no changes

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 05 Jan 2025 20:52:42 +0100
