=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # As soon as a new arch is bootstrapped, the lists should be updated.
 # See https://bugs.debian.org/954031
 ifeq (,$(filter amd64 arm64 armel armhf i386 kfreebsd-amd64 powerpc ppc64 ppc64el, $(DEB_HOST_ARCH)))
-ifneq (,$(filter riscv64 sh4, $(DEB_HOST_ARCH)))
+ifneq (,$(filter sh4, $(DEB_HOST_ARCH)))
         BOOTSTRAPLISP := /usr/bin/ecl --norc
 else
 	BOOTSTRAPLISP := /usr/bin/clisp -norc
