## sbcl 2.5.1

=== debian/changelog ===
sbcl (2:2.5.1-1) unstable; urgency=medium

  * Update to new upstream version 2:2.5.1.
  * Standardise sub-make invocation for doc/manual.
  * Force non-parallel build for doc/manual (Closes: #1098645).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 23 Feb 2025 18:11:31 +0800
