=== debian/changelog ===
sbcl (2:2.5.2-1) unstable; urgency=medium

  * Update to new upstream version 2:2.5.2.
  * Add procps to autopkgtest deps.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Mar 2025 11:38:42 +0800
