=== debian/rules ===
--- 
+++ 
@@ -67,7 +67,7 @@
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	make -C doc/internals all html
-	cd doc/manual && make docstrings && make
+	make -j1 -C doc/manual
 endif
 
 # Run the testsuite, and fail on errors only on amd64, arm64 and i386
