## sbcl 2.5.7

=== debian/changelog ===
sbcl (2:2.5.7-1) unstable; urgency=medium

  * Update to new upstream version 2.5.7.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 19 Aug 2025 12:01:59 +0100
