=== contrib/sb-capstone/Makefile ===
SYSTEM=sb-capstone
include ../asdf-module.mk
