=== contrib/sb-concurrency/Makefile ===
SYSTEM=sb-concurrency
include ../asdf-module.mk
