=== contrib/sb-gmp/Makefile ===
SYSTEM=sb-gmp
include ../asdf-module.mk
