=== contrib/sb-introspect/Makefile ===
SYSTEM=sb-introspect
include ../asdf-module.mk
