=== contrib/sb-md5/Makefile ===
SYSTEM=sb-md5
include ../asdf-module.mk
