=== contrib/sb-mpfr/Makefile ===
SYSTEM=sb-mpfr
include ../asdf-module.mk
