=== contrib/sb-posix/Makefile ===
SYSTEM=sb-posix
include ../asdf-module.mk
