=== contrib/sb-queue/Makefile ===
SYSTEM=sb-queue
include ../asdf-module.mk
