=== contrib/sb-simd/Makefile ===
SYSTEM=sb-simd
include ../asdf-module.mk
