=== contrib/sb-simple-streams/Makefile ===
SYSTEM=sb-simple-streams
include ../asdf-module.mk
