=== debian/changelog ===
sbcl (2:2.5.8-1) unstable; urgency=medium

  * Update to new upstream version 2.5.8.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 04 Sep 2025 15:18:56 +0100
