=== contrib/sb-executable/Makefile ===
SYSTEM=sb-executable
include ../asdf-module.mk
