=== contrib/sb-rt/Makefile ===
SYSTEM=sb-rt
include ../asdf-module.mk
