=== debian/changelog ===
sbcl (2:2.5.10-1) unstable; urgency=medium

  * Update to new upstream version 2.5.10.
  * Skip chill.impure.lisp tests under autopkgtest.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 11 Nov 2025 15:26:30 +0000
