=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: sbcl
 Maintainer: Debian Common Lisp Team <debian-common-lisp@lists.debian.org>
-Uploaders: Sean Whitton <spwhitton@spwhitton.name>
+Uploaders: Sean Whitton <spwhitton@spwhitton.name>, 
+           Peter Van Eynde <pvaneynd@debian.org> 
 Section: lisp
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -23,7 +24,7 @@
                netbase,
                ed,
                strace [!kfreebsd-amd64 !kfreebsd-i386]
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/common-lisp-team/sbcl
 Vcs-Git: https://salsa.debian.org/common-lisp-team/sbcl.git
 Homepage: http://www.sbcl.org
