## sbcl 2.5.11

=== debian/changelog ===
sbcl (2:2.5.11-1) unstable; urgency=medium

  * Update to new upstream version 2.5.11.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 19 Dec 2025 12:37:05 +0000
