## sbcl 2.6.0

=== debian/changelog ===
sbcl (2:2.6.0-1) unstable; urgency=medium

  * Update to new upstream version 2.6.0.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 29 Dec 2025 18:30:38 +0000
